Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "319e6738-610d-4e75-ae87-5565ca78b6b6",
"estimated_quantity": 2.0,
"article_id": "4dfc66b3-e827-4b3b-aa57-762f55a7c45c",
"article_code": "sample string 4",
"article": {
"id": "c6fe85ea-ab2c-4f00-bc8d-0d13ba4ddef1",
"article_category_id": "78cba7eb-bfd1-40fd-aca9-5eb457d0c414",
"article_category": {
"id": "90349cd7-3fe6-4cbb-903a-683059995877",
"parent_id": "fa9e2b97-2a24-404c-bb24-bdfb3244d0f3",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-14T11:46:33.6983403+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "5244f89e-7db1-46ef-b125-eb97f542a6be",
"article_group_1_code": "sample string 5",
"article_group_2_id": "1e15f31f-b79f-47cf-a5f5-0e6332bf7f89",
"article_group_2_code": "sample string 7",
"article_group_3_id": "af16ef75-02ab-4706-bbb0-9f2b736caefe",
"article_group_3_code": "sample string 9",
"article_group_4_id": "f0a63761-949b-4141-9a99-82441e273c8b",
"article_group_4_code": "sample string 11",
"article_group_5_id": "7449129e-9f7f-4f2f-b342-6c21be9e47a8",
"article_group_5_code": "sample string 13",
"article_group_6_id": "8334027e-68f2-45c0-990e-88158373ae46",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-14T11:46:33.6983403+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-14T11:46:33.715046+00:00",
"date_update": "2026-10-14T11:46:33.715046+00:00",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00",
"article_color_id": "9e228b7b-4e05-4509-9e9d-ebfd86383461",
"article_color_code": "sample string 38",
"article_color": {
"id": "46bfc693-3131-46f5-9cf3-b88e6a0099a9",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "392c61a7-7b76-4cbf-9c8f-c335e5773a86",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "6f860e77-d31d-4915-bff6-2f8cd8a9ea4b",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "cde64666-d03f-4b87-8ab1-70c24179c3d1",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "f1c0e0cd-f2d8-421b-8dc1-8fe05e15d48a",
"_parent_id": "d69b7d0d-2da9-4453-a7d5-284ba1738139",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "32b44545-19c3-4a55-8a2c-cd0ee8b7b6ba",
"project_reference_back_office": "sample string 5",
"project": {
"id": "160591b8-18b8-4e31-ade3-eeb9bf2b0110",
"_parent_id": "c1bed3f3-630d-4ba2-9874-e888478d9a1b",
"root_parent_id": "5b391252-4e11-49ae-999a-6da505cf0117",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "7cb10b18-3274-4fe4-8db0-5688b7c54f06",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "dbad2049-3e1a-4855-a051-f168bb3abc0a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "fce2ebaa-ead2-40ea-aeb4-7f934813ee77",
"_parent_code": "sample string 6",
"sales_organization_id": "62172262-367d-42e1-92f8-552f10c33d49",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"equipment_model_id": "23264d78-fcd2-4395-aa97-e42a8e8897ff",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "20d8d3fa-0dbe-40b3-9c6b-708fdbd96162",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "5d98c2ab-ea84-45c3-b86e-b8c6fc03e6ef",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "6a5a84a4-7109-4499-b357-dc269ee1b588",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "8d16045f-25cd-459a-9ff2-b4c61f2ff22a",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"equipment_family_id": "814d94a4-18c3-4c47-8987-e2bf0c95e07d",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "dbad2049-3e1a-4855-a051-f168bb3abc0a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "fce2ebaa-ead2-40ea-aeb4-7f934813ee77",
"_parent_code": "sample string 6",
"sales_organization_id": "62172262-367d-42e1-92f8-552f10c33d49",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"date_in_production_since": "2026-10-14T11:46:33.715046+00:00",
"date_out_of_production_since": "2026-10-14T11:46:33.715046+00:00",
"date_end_support": "2026-10-14T11:46:33.715046+00:00",
"sales_organization_id": "c59d9d88-5a53-433b-a273-4093659fbe4a",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"project_status_id": "7084f5a7-9210-459c-846b-ce49c35f2cb6",
"project_status_code": "sample string 10",
"project_status": {
"id": "cf280013-267a-4790-a462-94769d5d1d70",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "04e6f4cb-8639-4856-83a1-fd0dbd57c97b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"company_id": "c85fe87a-d2cf-4c2a-a220-f87da4f7a049",
"company_code": "sample string 12",
"db_address_id": "f185b3e7-94d3-4e8f-99ac-4a24912f28ef",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "dc8e5763-7aa4-41e9-a026-029ad4ba4a4b",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "eb1cec19-701d-4b94-81c8-2a16d8aa4767",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-14T11:46:33.715046+00:00",
"date_create": "2026-10-14T11:46:33.715046+00:00",
"date_update": "2026-10-14T11:46:33.715046+00:00",
"updated_by_user_id": "e4ceeba3-b844-4d12-ba9f-888862b9ad1c",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-14T11:46:33.715046+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-14T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-14T11:46:33.715046+00:00",
"date_last_job": "2026-10-14T11:46:33.715046+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-14T11:46:33.715046+00:00",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00",
"is_mobile_installation": true
},
"job_type_id": "f5081ef1-ee30-4ddf-a129-2a883549fa2d",
"job_type_code": "sample string 7",
"job_type": {
"id": "33690044-f1a9-469a-a96d-b73c056d4c0f",
"name": "sample string 2",
"sales_organization_id": "49b9f082-9df4-4919-9e2f-f854e83be8b9",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-14T11:46:33.7295864+00:00",
"code": "sample string 7"
},
"job_priority_id": "7c629d0e-9b7f-4269-8267-56beea89c99a",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "9cd930ea-8f21-448f-9e57-157e5875933f",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "980fd003-307a-493c-8172-2a900cfc9cb3",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-14T11:46:33.7295864+00:00"
},
"job_status_id": "02d10ca5-07d0-4c4e-bc66-f13edad78f71",
"job_status_code": "sample string 11",
"db_address_id": "9fd3ed37-206d-462a-a381-325aba10fbb3",
"contact_id": "d81af3e7-d3c4-4306-9720-a7f3f7f469cd",
"requested_by_company_id": "dce7029c-38ff-4dde-8d58-2e461fabbe95",
"requested_by_contact_id": "4e2ee0b3-09a6-4ca5-a408-07954479c5cd",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-14T11:46:33.7295864+00:00",
"due_date": "2026-10-14T11:46:33.7295864+00:00",
"date_create": "2026-10-14T11:46:33.7295864+00:00",
"date_update": "2026-10-14T11:46:33.7295864+00:00",
"date_closed": "2026-10-14T11:46:33.7295864+00:00",
"suggested_user_id": "5f4ce519-9758-43a1-a5fe-6df754d00f1e",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "60905bbd-8ac3-459a-a4d9-8d6c8da7c271",
"db_language_id": "eb726f5c-319a-4701-a1cd-7d1f21dd1448",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-14T11:46:33.7295864+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "7e6d2db0-654a-478f-b768-2f3fd2cfd42e",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "966fa4c2-e96a-49ba-9f67-d8420669ef40",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "4f0696a9-d6ec-4ed2-9837-125e894f0473",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-14T11:46:33.7295864+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "8ff51042-cfbf-4c47-841b-30a7d2f6bcfb"
},
"suggested_date_start": "2026-10-14T11:46:33.7295864+00:00",
"skill_id": "168e3452-580b-4a59-9178-e652bb966000",
"skill_code": "sample string 32",
"skill": {
"id": "1288f940-386d-483f-a857-ab54587395bb",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "911644d5-b9ac-427b-8124-20f61f24e618",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "4560d26a-c434-4dfd-9cf3-aee1fe8d3e65",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1fdad711-d53f-4137-8cf2-8a71730528e7",
"db_currency_id": "12fd1d0f-be8f-4ebf-a5c3-d36327feb91d",
"db_language_id": "69e85def-47cd-4e7d-b578-790b40206c2b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T11:46:33.715046+00:00"
},
"modified_dateutc": "2026-10-14T11:46:33.7295864+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "d9be4732-b60b-48d4-a727-06f0af2466c9",
"date_reported_by_company": "2026-10-14T11:46:33.7295864+00:00",
"id2": 36,
"company_id": "5f2b6ebf-ec67-4ea4-83a4-db5a0425b554",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "fbbc6954-6033-4676-b5dc-fbf39f94eb2b",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-14T11:46:33.7295864+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-14T11:46:33.7295864+00:00"
}